unit Unit1;

interface

uses
  System.SysUtils, System.Classes, JS, Web, WEBLib.Graphics, WEBLib.Controls,
  WEBLib.Forms, WEBLib.Dialogs, Vcl.Controls, Vcl.StdCtrls, WEBLib.StdCtrls,
  WEBLib.REST;

type
  TForm1 = class(TWebForm)
    WebButton1: TWebButton;
    wbtn1: TWebButton;
    WebHttpRequest1: TWebHttpRequest;
    procedure WebButton1Click(Sender: TObject);
    procedure WebFormCreate(Sender: TObject);
    [async] procedure wbtn1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure AppException(Sender: TObject; AError: TApplicationError; var Handled:Boolean);
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.AppException(Sender: TObject; AError: TApplicationError; var Handled:Boolean);
begin
  console.log('Error object', AError);
  console.log(AError.AMessage);
end;

procedure TForm1.wbtn1Click(Sender: TObject);
var
  req: TJSXMLHttpRequest;

begin
  WebHttpRequest1.URL := 'https://www.tmssoftware.com/sample.json';
  req := await(TJSXMLHttpRequest, WebHttpRequest1.Perform());
end;

procedure TForm1.WebButton1Click(Sender: TObject);
var
  s: TObject;
  str: string;
begin
  str := s.ToString;
end;

procedure TForm1.WebFormCreate(Sender: TObject);
begin
  Application.OnError := AppException;
end;

end.
